Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
portage and kde 4.1 borked. (solved)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
truekaiser
l33t
l33t


Joined: 05 Mar 2004
Posts: 756

PostPosted: Sat Aug 16, 2008 6:15 pm    Post subject: portage and kde 4.1 borked. (solved) Reply with quote

after the sync last night with the normal portage tree and updating layman i am getting this from portage.
Code:

!!! Multiple versions within a single package slot have been
!!! pulled into the dependency graph:

x11-libs/qt-script:4

  ('ebuild', '/', 'x11-libs/qt-script-4.4.0', 'merge') pulled in by
    ('ebuild', '/', 'x11-libs/qt-gui-4.4.0', 'merge')

  ('installed', '/', 'x11-libs/qt-script-4.4.1', 'nomerge') pulled in by
    ('installed', '/', 'kde-base/libkipi-4.1.0', 'nomerge')
    ('installed', '/', 'kde-base/lskat-4.1.0', 'nomerge')
    ('installed', '/', 'kde-base/kpat-4.1.0', 'nomerge')
    (and 216 more)

x11-libs/qt-dbus:4

  ('ebuild', '/', 'x11-libs/qt-dbus-4.4.0', 'merge') pulled in by
    ('ebuild', '/', 'x11-libs/qt-gui-4.4.0', 'merge')

  ('installed', '/', 'x11-libs/qt-dbus-4.4.1', 'nomerge') pulled in by
    ('installed', '/', 'dev-libs/soprano-9999', 'nomerge')
    ('installed', '/', 'app-misc/strigi-0.5.10', 'nomerge')
    ('installed', '/', 'media-sound/phonon-4.2.9999', 'nomerge')
    (and 3 more)

x11-libs/qt-core:4

  ('ebuild', '/', 'x11-libs/qt-core-4.4.0', 'merge') pulled in by
    ('ebuild', '/', 'x11-libs/qt-dbus-4.4.0', 'merge')

  ('installed', '/', 'x11-libs/qt-core-4.4.1-r1', 'nomerge') pulled in by
    ('installed', '/', 'x11-libs/qt-dbus-4.4.1', 'nomerge')
    ('installed', '/', 'kde-base/libkipi-4.1.0', 'nomerge')
    ('installed', '/', 'kde-base/lskat-4.1.0', 'nomerge')
    (and 227 more)

x11-libs/qt-sql:4

  ('ebuild', '/', 'x11-libs/qt-sql-4.4.0', 'merge') pulled in by
    ('installed', '/', 'x11-libs/qt-assistant-4.4.0-r1', 'nomerge')

  ('installed', '/', 'x11-libs/qt-sql-4.4.1', 'nomerge') pulled in by
    ('installed', '/', 'app-office/akonadi-server-9999', 'nomerge')
    ('installed', '/', 'x11-libs/qt-qt3support-4.4.1', 'nomerge')
    ('installed', '/', 'x11-libs/qt-4.4.0', 'nomerge')

x11-libs/qt-gui:4

  ('ebuild', '/', 'x11-libs/qt-gui-4.4.0', 'merge') pulled in by
    ('installed', '/', 'x11-libs/qt-assistant-4.4.0-r1', 'nomerge')

  ('installed', '/', 'x11-libs/qt-gui-4.4.1', 'nomerge') pulled in by
    ('installed', '/', 'kde-base/libkipi-4.1.0', 'nomerge')
    ('installed', '/', 'kde-base/lskat-4.1.0', 'nomerge')
    ('installed', '/', 'kde-base/kpat-4.1.0', 'nomerge')
    (and 227 more)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in the
dependencies of two different packages, then those packages can not be
installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man page
or refer to the Gentoo Handbook.

!!! Depgraph creation failed.


after trying to solve the first one on the list there myself kdm(both 3.5 and 4.1) stopped working and when i use another greeter app(xdm,gdm,etc) and select kde 4.1 it starts to load fine then it says the desktop and plasma have crashed. after that a blank screen.

emerge info
Code:

Portage 2.1.4.4 (default-linux/x86/2007.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.25-gentoo-r7 i686)
=================================================================
System uname: 2.6.25-gentoo-r7 i686 Intel(R) Core(TM)2 Duo CPU T7100 @ 1.80GHz
Timestamp of tree: Sat, 16 Aug 2008 01:34:01 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.4.4-r13, 2.5.2-r6
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=prescott -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/4.1/env /usr/kde/4.1/share/config /usr/kde/4.1/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=prescott -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="candy distlocks metadata-transfer sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="C"
LINGUAS="en_US"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise /usr/portage/local/layman/kdesvn-portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acpi aiglx aim alsa archive arts berkdb cairo cdr cdrw cli cracklib crypt cups dbus dri dvd dvdr dvdread eds emboss encode esd evo ffmpeg firefox flac font-server fortran gdbm gif gnome gpm gstreamer gtk gtk2 hal iconv isdnlog java joystick jpeg kde kerberos ldap mad midi mikmod mjpeg mmx mp3 mpeg msn mudflap ncurses nls nptl nptlonly ogg oggvorbis opengl openmp oss pam pcre pdf perl png pnp pppd python qt3 qt3support qt4 quicktime readline real reflection samba sdl session spell spl sse sse2 sse3 ssl ssse3 svg symlink tcpd theora tiff truetype unicode usb vcd vidix vorbis win32codec win32codecs x264 x86 xcomposite xine xml xorg xpm xv xvid zip zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_US" USERLAND="GNU" VIDEO_CARDS="vesa i810"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


if you need anything else i'll post it in my reply post i am near the text limit for a single post here.


Last edited by truekaiser on Sun Aug 17, 2008 5:13 pm; edited 1 time in total
Back to top
View user's profile Send private message
jonnevers
Veteran
Veteran


Joined: 02 Jan 2003
Posts: 1594
Location: Gentoo64 land

PostPosted: Sat Aug 16, 2008 7:30 pm    Post subject: Reply with quote

Code:
emerge -Cav x11-libs/qt-core x11-libs/qt-gui x11-libs/qt-script x11-libs/qt-dbus x11-libs/qt-sql

I ran into the same thing, you just need to remove the packages pulling in the 4.4.0 versions.
Back to top
View user's profile Send private message
truekaiser
l33t
l33t


Joined: 05 Mar 2004
Posts: 756

PostPosted: Sat Aug 16, 2008 7:42 pm    Post subject: Reply with quote

thanks but now it's giving me this circular dependency crap again.
Code:

[blocks B     ] x11-libs/qt-core (is blocking x11-libs/qt-4.3.3)
[blocks B     ] <=x11-libs/qt-4.4.0_alpha:4 (is blocking x11-libs/qt-dbus-4.4.1, x11-libs/qt-script-4.4.1, x11-libs/qt-assistant-4.4.0-r1, x11-libs/qt-test-4.4.1, x11-libs/qt-svg-4.4.1, x11-libs/qt-core-4.4.1-r1, x11-libs/qt-gui-4.4.1, x11-libs/qt-sql-4.4.1, x11-libs/qt-xmlpatterns-4.4.0, x11-libs/qt-qt3support-4.4.1, x11-libs/qt-svg-4.4.0, x11-libs/qt-test-4.4.0, x11-libs/qt-opengl-4.4.0, x11-libs/qt-opengl-4.4.1, x11-libs/qt-webkit-4.4.1, x11-libs/qt-webkit-4.4.0)


and i have non alpha qt 4.4.0 so it should not be complaining..
Back to top
View user's profile Send private message
yngwin
Retired Dev
Retired Dev


Joined: 19 Dec 2002
Posts: 4572
Location: Suzhou, China

PostPosted: Sat Aug 16, 2008 8:53 pm    Post subject: Reply with quote

Try to individually update the qt-4.4.1 packages. This may be related to bug 234628.
_________________
"Those who deny freedom to others deserve it not for themselves." - Abraham Lincoln
Free Culture | Defective by Design | EFF
Back to top
View user's profile Send private message
truekaiser
l33t
l33t


Joined: 05 Mar 2004
Posts: 756

PostPosted: Sun Aug 17, 2008 2:34 am    Post subject: Reply with quote

thank you. that solved the Depgraph creation problem but i don't know if it has solved the borking of kde 4.1. i will check when it is one updating.

edit: it works now thanks but i have to recompile all the apps.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum